#pragma once

namespace DXFW
{
class Speed
{
protected:
	double speed;
public:
	Speed(double ‘¬“x):
			speed(‘¬“x)
	{}

	virtual double Get() const
	{
		return speed; 
	};

	double Ease()
	{
		Update();
		return Get();
	}

	virtual void Update() = 0;

	virtual void Multi(double ”{—¦)
	{
		speed *= ”{—¦;
	}

	virtual void Add(double ‰ÁŽZ’l)
	{
		speed += ‰ÁŽZ’l;
	}

	operator double()
	{
		return Ease();
	}
};
}